Generation Framework

## org.eclipse.gmf.mappings.util
Class GMFMapAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.gmf.mappings.util.GMFMapAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  GMFMapItemProviderAdapterFactory

    public class GMFMapAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `GMFMapPackage`
** Generated **

Field Summary
`protected static GMFMapPackage` `modelPackage` The cached model package
`protected GMFMapSwitch<org.eclipse.emf.common.notify.Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`GMFMapAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
`org.eclipse.emf.common.notify.Adapter` `createAppearanceStewardAdapter()` Creates a new adapter for an object of class '`Appearance Steward`'
`org.eclipse.emf.common.notify.Adapter` `createAuditableAdapter()` Creates a new adapter for an object of class '`Auditable`'
`org.eclipse.emf.common.notify.Adapter` `createAuditContainerAdapter()` Creates a new adapter for an object of class '`Audit Container`'
`org.eclipse.emf.common.notify.Adapter` `createAuditedMetricTargetAdapter()` Creates a new adapter for an object of class '`Audited Metric Target`'
`org.eclipse.emf.common.notify.Adapter` `createAuditRuleAdapter()` Creates a new adapter for an object of class '`Audit Rule`'
`org.eclipse.emf.common.notify.Adapter` `createCanvasMappingAdapter()` Creates a new adapter for an object of class '`Canvas Mapping`'
`org.eclipse.emf.common.notify.Adapter` `createChildReferenceAdapter()` Creates a new adapter for an object of class '`Child Reference`'
`org.eclipse.emf.common.notify.Adapter` `createCompartmentMappingAdapter()` Creates a new adapter for an object of class '`Compartment Mapping`'
`org.eclipse.emf.common.notify.Adapter` `createConstraintAdapter()` Creates a new adapter for an object of class '`Constraint`'
`org.eclipse.emf.common.notify.Adapter` `createDesignLabelMappingAdapter()` Creates a new adapter for an object of class '`Design Label Mapping`'
`org.eclipse.emf.common.notify.Adapter` `createDiagramElementTargetAdapter()` Creates a new adapter for an object of class '`Diagram Element Target`'
`org.eclipse.emf.common.notify.Adapter` `createDomainAttributeTargetAdapter()` Creates a new adapter for an object of class '`Domain Attribute Target`'
`org.eclipse.emf.common.notify.Adapter` `createDomainElementTargetAdapter()` Creates a new adapter for an object of class '`Domain Element Target`'
`org.eclipse.emf.common.notify.Adapter` `createElementInitializerAdapter()` Creates a new adapter for an object of class '`Element Initializer`'
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`org.eclipse.emf.common.notify.Adapter` `createExpressionLabelMappingAdapter()` Creates a new adapter for an object of class '`Expression Label Mapping`'
`org.eclipse.emf.common.notify.Adapter` `createFeatureInitializerAdapter()` Creates a new adapter for an object of class '`Feature Initializer`'
`org.eclipse.emf.common.notify.Adapter` `createFeatureLabelMappingAdapter()` Creates a new adapter for an object of class '`Feature Label Mapping`'
`org.eclipse.emf.common.notify.Adapter` `createFeatureSeqInitializerAdapter()` Creates a new adapter for an object of class '`Feature Seq Initializer`'
`org.eclipse.emf.common.notify.Adapter` `createFeatureValueSpecAdapter()` Creates a new adapter for an object of class '`Feature Value Spec`'
`org.eclipse.emf.common.notify.Adapter` `createLabelMappingAdapter()` Creates a new adapter for an object of class '`Label Mapping`'
`org.eclipse.emf.common.notify.Adapter` `createLinkConstraintsAdapter()` Creates a new adapter for an object of class '`Link Constraints`'
`org.eclipse.emf.common.notify.Adapter` `createLinkMappingAdapter()` Creates a new adapter for an object of class '`Link Mapping`'
`org.eclipse.emf.common.notify.Adapter` `createMappingAdapter()` Creates a new adapter for an object of class '`Mapping`'
`org.eclipse.emf.common.notify.Adapter` `createMappingEntryAdapter()` Creates a new adapter for an object of class '`Mapping Entry`'
`org.eclipse.emf.common.notify.Adapter` `createMeasurableAdapter()` Creates a new adapter for an object of class '`Measurable`'
`org.eclipse.emf.common.notify.Adapter` `createMenuOwnerAdapter()` Creates a new adapter for an object of class '`Menu Owner`'
`org.eclipse.emf.common.notify.Adapter` `createMetricContainerAdapter()` Creates a new adapter for an object of class '`Metric Container`'
`org.eclipse.emf.common.notify.Adapter` `createMetricRuleAdapter()` Creates a new adapter for an object of class '`Metric Rule`'
`org.eclipse.emf.common.notify.Adapter` `createNeedsContainmentAdapter()` Creates a new adapter for an object of class '`Needs Containment`'
`org.eclipse.emf.common.notify.Adapter` `createNodeMappingAdapter()` Creates a new adapter for an object of class '`Node Mapping`'
`org.eclipse.emf.common.notify.Adapter` `createNodeReferenceAdapter()` Creates a new adapter for an object of class '`Node Reference`'
`org.eclipse.emf.common.notify.Adapter` `createNotationElementTargetAdapter()` Creates a new adapter for an object of class '`Notation Element Target`'
`org.eclipse.emf.common.notify.Adapter` `createReferenceNewElementSpecAdapter()` Creates a new adapter for an object of class '`Reference New Element Spec`'
`org.eclipse.emf.common.notify.Adapter` `createRuleBaseAdapter()` Creates a new adapter for an object of class '`Rule Base`'
`org.eclipse.emf.common.notify.Adapter` `createToolOwnerAdapter()` Creates a new adapter for an object of class '`Tool Owner`'
`org.eclipse.emf.common.notify.Adapter` `createTopNodeReferenceAdapter()` Creates a new adapter for an object of class '`Top Node Reference`'
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionAdapter()` Creates a new adapter for an object of class '`Value Expression`'
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static GMFMapPackage modelPackage

  The cached model package.

  ** Generated **

### modelSwitch

    protected GMFMapSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

  ** Generated **

Constructor Detail

### GMFMapAdapterFactory

    public GMFMapAdapterFactory()

  Creates an instance of the adapter factory.

  ** Generated **

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.
  ** Generated **

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.
  ** Generated **

### createMappingEntryAdapter

    public org.eclipse.emf.common.notify.Adapter createMappingEntryAdapter()

  Creates a new adapter for an object of class '`Mapping Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MappingEntry`
  ** Generated **

### createNeedsContainmentAdapter

    public org.eclipse.emf.common.notify.Adapter createNeedsContainmentAdapter()

  Creates a new adapter for an object of class '`Needs Containment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NeedsContainment`
  ** Generated **

### createNodeReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createNodeReferenceAdapter()

  Creates a new adapter for an object of class '`Node Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NodeReference`
  ** Generated **

### createChildReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createChildReferenceAdapter()

  Creates a new adapter for an object of class '`Child Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ChildReference`
  ** Generated **

### createTopNodeReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createTopNodeReferenceAdapter()

  Creates a new adapter for an object of class '`Top Node Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TopNodeReference`
  ** Generated **

### createNodeMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createNodeMappingAdapter()

  Creates a new adapter for an object of class '`Node Mapping`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NodeMapping`
  ** Generated **

### createCompartmentMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createCompartmentMappingAdapter()

  Creates a new adapter for an object of class '`Compartment Mapping`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CompartmentMapping`
  ** Generated **

### createLinkMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createLinkMappingAdapter()

  Creates a new adapter for an object of class '`Link Mapping`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LinkMapping`
  ** Generated **

### createCanvasMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createCanvasMappingAdapter()

  Creates a new adapter for an object of class '`Canvas Mapping`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CanvasMapping`
  ** Generated **

### createLabelMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createLabelMappingAdapter()

  Creates a new adapter for an object of class '`Label Mapping`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LabelMapping`
  ** Generated **

### createFeatureLabelMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createFeatureLabelMappingAdapter()

  Creates a new adapter for an object of class '`Feature Label Mapping`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureLabelMapping`
  ** Generated **

### createDesignLabelMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createDesignLabelMappingAdapter()

  Creates a new adapter for an object of class '`Design Label Mapping`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DesignLabelMapping`
  ** Generated **

### createExpressionLabelMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createExpressionLabelMappingAdapter()

  Creates a new adapter for an object of class '`Expression Label Mapping`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExpressionLabelMapping`
  ** Generated **

### createMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createMappingAdapter()

  Creates a new adapter for an object of class '`Mapping`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Mapping`
  ** Generated **

### createConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createConstraintAdapter()

  Creates a new adapter for an object of class '`Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Constraint`
  ** Generated **

### createLinkConstraintsAdapter

    public org.eclipse.emf.common.notify.Adapter createLinkConstraintsAdapter()

  Creates a new adapter for an object of class '`Link Constraints`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LinkConstraints`
  ** Generated **

### createValueExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionAdapter()

  Creates a new adapter for an object of class '`Value Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpression`
  ** Generated **

### createElementInitializerAdapter

    public org.eclipse.emf.common.notify.Adapter createElementInitializerAdapter()

  Creates a new adapter for an object of class '`Element Initializer`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ElementInitializer`
  ** Generated **

### createFeatureSeqInitializerAdapter

    public org.eclipse.emf.common.notify.Adapter createFeatureSeqInitializerAdapter()

  Creates a new adapter for an object of class '`Feature Seq Initializer`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureSeqInitializer`
  ** Generated **

### createFeatureInitializerAdapter

    public org.eclipse.emf.common.notify.Adapter createFeatureInitializerAdapter()

  Creates a new adapter for an object of class '`Feature Initializer`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureInitializer`
  ** Generated **

### createFeatureValueSpecAdapter

    public org.eclipse.emf.common.notify.Adapter createFeatureValueSpecAdapter()

  Creates a new adapter for an object of class '`Feature Value Spec`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureValueSpec`
  ** Generated **

### createReferenceNewElementSpecAdapter

    public org.eclipse.emf.common.notify.Adapter createReferenceNewElementSpecAdapter()

  Creates a new adapter for an object of class '`Reference New Element Spec`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReferenceNewElementSpec`
  ** Generated **

### createMenuOwnerAdapter

    public org.eclipse.emf.common.notify.Adapter createMenuOwnerAdapter()

  Creates a new adapter for an object of class '`Menu Owner`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MenuOwner`
  ** Generated **

### createToolOwnerAdapter

    public org.eclipse.emf.common.notify.Adapter createToolOwnerAdapter()

  Creates a new adapter for an object of class '`Tool Owner`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ToolOwner`
  ** Generated **

### createAppearanceStewardAdapter

    public org.eclipse.emf.common.notify.Adapter createAppearanceStewardAdapter()

  Creates a new adapter for an object of class '`Appearance Steward`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AppearanceSteward`
  ** Generated **

### createAuditContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createAuditContainerAdapter()

  Creates a new adapter for an object of class '`Audit Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AuditContainer`
  ** Generated **

### createAuditRuleAdapter

    public org.eclipse.emf.common.notify.Adapter createAuditRuleAdapter()

  Creates a new adapter for an object of class '`Audit Rule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AuditRule`
  ** Generated **

### createRuleBaseAdapter

    public org.eclipse.emf.common.notify.Adapter createRuleBaseAdapter()

  Creates a new adapter for an object of class '`Rule Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RuleBase`
  ** Generated **

### createDomainElementTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createDomainElementTargetAdapter()

  Creates a new adapter for an object of class '`Domain Element Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DomainElementTarget`
  ** Generated **

### createDomainAttributeTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createDomainAttributeTargetAdapter()

  Creates a new adapter for an object of class '`Domain Attribute Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DomainAttributeTarget`
  ** Generated **

### createDiagramElementTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createDiagramElementTargetAdapter()

  Creates a new adapter for an object of class '`Diagram Element Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DiagramElementTarget`
  ** Generated **

### createNotationElementTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createNotationElementTargetAdapter()

  Creates a new adapter for an object of class '`Notation Element Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NotationElementTarget`
  ** Generated **

### createMetricContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createMetricContainerAdapter()

  Creates a new adapter for an object of class '`Metric Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MetricContainer`
  ** Generated **

### createMetricRuleAdapter

    public org.eclipse.emf.common.notify.Adapter createMetricRuleAdapter()

  Creates a new adapter for an object of class '`Metric Rule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MetricRule`
  ** Generated **

### createAuditedMetricTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createAuditedMetricTargetAdapter()

  Creates a new adapter for an object of class '`Audited Metric Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AuditedMetricTarget`
  ** Generated **

### createAuditableAdapter

    public org.eclipse.emf.common.notify.Adapter createAuditableAdapter()

  Creates a new adapter for an object of class '`Auditable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Auditable`
  ** Generated **

### createMeasurableAdapter

    public org.eclipse.emf.common.notify.Adapter createMeasurableAdapter()

  Creates a new adapter for an object of class '`Measurable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Measurable`
  ** Generated **

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.